LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   Requests for -current (14.2-->15.0) (https://www.linuxquestions.org/questions/slackware-14/requests-for-current-14-2-15-0-a-4175620463/)

USUARIONUEVO 05-15-2021 02:17 PM

Hi , this was reported some many times , but i try one more time ..


python2-collection-modules , have inside some little needed python2 modules , but have one collision.

requests , requires urllib3 > 1.26


The good way , is downgrade urllib3 (only in python2-collection) to this

Quote:

urllib3-1.25.11

pip2 check is your friend , you cant ignore.

marav 05-15-2021 04:45 PM

Quote:

Originally Posted by opty (Post 6251036)
You don't have to reconfigure your system:

Code:

15step :: ~/Documents » LC_MESSAGES=C okular 11527.pdf
Anyway, use whatever system messages' locale you want but don't wonder why you might get no help.

I've had no problem for 3 years, except for your intervention

bassmadrigal 05-16-2021 12:45 AM

Quote:

Originally Posted by marav (Post 6251088)
I've had no problem for 3 years, except for your intervention

It was strictly a suggestion to provide your output messages to English so people can better provide support. I know I don't speak French and I would simply need to guess what the error message was based on context or use a translation service (which I'm usually lazy and if I can't understand the issue based on context, I'd likely ignore the post). (I did actually paste one of the error messages into Google Translate to verify the error message was actually in French.)

You're free to obviously do as you choose, but if you post foreign text, it's probable that some are going to not understand it and many of those won't go out of their way to translate it.

I can't tell you how many times Didier has posted some foreign saying, and I'm usually lazy enough that I don't throw it into a translation service and will just think "oh, it's probably clever, but I'll never know for sure." :D (Sorry, Didier!)

TurboBlaze 05-16-2021 02:00 AM

Please don't hit me :)

How about update GCC to 11.1
https://gcc.gnu.org/gcc-11/
or add it to the Slackware testing tree?

BTW, Arch Linux on the way to add GCC 11.1 to the Core tree.
At this time GCC 11.1 in the Testing tree:
https://archlinux.org/packages/testing/x86_64/gcc/

Thanks.

Didier Spaier 05-16-2021 02:48 AM

Quote:

Originally Posted by bassmadrigal (Post 6251146)
I can't tell you how many times Didier has posted some foreign saying, and I'm usually lazy enough that I don't throw it into a translation service and will just think "oh, it's probably clever, but I'll never know for sure." :D (Sorry, Didier!)

No reason to be sorry but if and when you want to translate from a language you don't know, I suggest to use deepl.com, the best freely available translation service that I know. @All: yes this is off topic, but I felt allowed to answer.

PS.
Q. How do you call someone who speaks only one language?
A. He is American.

bassmadrigal 05-16-2021 02:59 AM

Quote:

Originally Posted by Didier Spaier (Post 6251166)
No reason to be sorry but if and when you want to translate from a language you don't know, I suggest to use deepl.com, the best freely available translation service that I know.

Whenever I get the itch to translate something, I always use Google Translate. Deepl might be better, but I don't think I've tried it.

Quote:

Originally Posted by Didier Spaier (Post 6251166)
PS.
Q. How do you call someone who speaks only one language?
A. He is American.

I am definitely American. Our foreign language education sucks! I took 3 years of Spanish in high school but I learned more Spanish while working at McDonald's for 1.5 years (I actually was able to conversate in Spanish because of working there). Unfortunately, due to not speaking Spanish in decent amounts for many years, I've lost most of my knowledge of it.

atelszewski 05-16-2021 03:09 AM

Allow for disabling NFSv4 non-essential services
 
Hi,

coming back to the topic of allowing to disable NFSv4 non-essential services,
this is how I implemented it on my system:

Code:

diff --git a/etc/rc.d/rc.nfsd b/etc/rc.d/rc.nfsd
index ad087a3..f328c76 100644
--- a/etc/rc.d/rc.nfsd
+++ b/etc/rc.d/rc.nfsd
@@ -35,7 +35,7 @@ nfsd_start() {
  fi
 
  # If basic RPC services are not running, start them:
-  if ! ps axc | grep -q rpc.statd ; then
+  if ! ps axc | grep -q rpc.statd && [ "$RPC_EXCLUDE_NON_V4" != "y" ] ; then
    if [ -r /etc/rc.d/rc.rpc ]; then
      sh /etc/rc.d/rc.rpc start
    else
@@ -53,7 +53,7 @@ nfsd_start() {
    /usr/sbin/exportfs -r
  fi
 
-  if [ -x /usr/sbin/rpc.rquotad ]; then
+  if [ -x /usr/sbin/rpc.rquotad ] && [ "$RPC_EXCLUDE_NON_V4" != "y" ]; then
    if [ -n "$RPC_RQUOTAD_PORT" ]; then
      RPC_RQUOTAD_OPTS="$RPC_RQUOTAD_OPTS -p $RPC_RQUOTAD_PORT"
    fi

Please merge! :-)

--
Best regards,
Andrzej Telszewski

ZhaoLin1457 05-16-2021 03:28 AM

Quote:

Originally Posted by Didier Spaier (Post 6251166)
No reason to be sorry but if and when you want to translate from a language you don't know, I suggest to use deepl.com, the best freely available translation service that I know. @All: yes this is off topic, but I felt allowed to answer.

PS.
Q. How do you call someone who speaks only one language?
A. He is American.

Mr. Didier, I understand and speak Mandarin (Northern) Chinese, Japanese and English, but with all respect still I do not speak French, Spanish or German.

And I observed that some people here (including me) setups at least an alternate user account which uses standard English for the sake of facilitating the communication on this forum.

I am quite sure that you are really proud of yours French ancestry, but same here, I am proud of being part of a nation with 8000 years history. No offense intended to anyone, but we did architecture, art and poetry when the Europeans still lived on caves and hunted Neanderthals for food.

However, I believe that as a cosmopolitan community as we are, we need a Lingua Franca.

And this being an American Forum, where mainly we address to an American gentleman who's our BDFL, let's use English all the way, for the sake of communication consistency.

gmgf 05-16-2021 03:38 AM

Quote:

Originally Posted by bassmadrigal (Post 6251168)
Whenever I get the itch to translate something, I always use Google Translate. Deepl might be better, but I don't think I've tried it.



I am definitely American. Our foreign language education sucks! I took 3 years of Spanish in high school but I learned more Spanish while working at McDonald's for 1.5 years (I actually was able to conversate in Spanish because of working there). Unfortunately, due to not speaking Spanish in decent amounts for many years, I've lost most of my knowledge of it.

'Didier' is optimistic, in France it's not much better ;)

gmgf 05-16-2021 03:50 AM

'kapidox' is compiled with python (2), but 'python3 setup.py install --root=$PKG' work fine.

Didier Spaier 05-16-2021 07:04 AM

Quote:

Originally Posted by ZhaoLin1457 (Post 6251171)
I am quite sure that you are really proud of yours French ancestry

No. One may be proud only of one's achievements.

NonNonBa 05-16-2021 09:03 AM

Quote:

Originally Posted by ZhaoLin1457 (Post 6251171)
I am quite sure that you are really proud of yours French ancestry, but same here, I am proud of being part of a nation with 8000 years history. No offense intended to anyone, but we did architecture, art and poetry when the Europeans still lived on caves and hunted Neanderthals for food.

So, the Europeans don't exist, as Neanderthal (which is today thought to be a common ancestor of every humans out of Africa) disappeared ~37000 years ago.

LuckyCyborg 05-16-2021 10:21 AM

1 Attachment(s)
Quote:

Originally Posted by NonNonBa (Post 6251231)
So, the Europeans don't exist, as Neanderthal (which is today thought to be a common ancestor of every humans out of Africa) disappeared ~37000 years ago.

Who said that Neanderthals disappeared 37000 years ago is wrong.

Take a look at the lady from the attached image and feel free to wonder from which continent she's.

I believe that anyone on this world will be capable to say accurate her continent of living. She's European, right?

However, she lived tens of thousands years ago and she's not a Homo Sapiens Sapiens as species. She's Neanderthal.

A truth conveniently forgotten by many is that Homo Sapiens Sapiens people who did the second human migration from Africa was, well... Africans with all African traits a human living in Congo can get after hundreds of generations. Including even the skin and hair color, they was Africans.

IF they had been fully replaced the previous people living on Europa, as the teachers told us, there should not be White people on this continent, right?

redneonglow 05-16-2021 05:26 PM

You should add a variable to rc.inet1.conf to enable IPv6 autoconfiguration. With Linode autoconfiguration needs to be on, but the -current (20210516) rc.inet1 disables it regardless.

marav 05-16-2021 06:10 PM

Quote:

Originally Posted by redneonglow (Post 6251336)
You should add a variable to rc.inet1.conf to enable IPv6 autoconfiguration. With Linode autoconfiguration needs to be on, but the -current (20210516) rc.inet1 disables it regardless.

Line 316
Code:

# Disable v6 IP auto configuration before trying to bring up the interface:
        debug_log "${1}: disabling IPv6 autoconf"
        echo "0" >/proc/sys/net/ipv6/conf/${1}/autoconf

And line 357:
Code:

# Enable auto configuration of interfaces:
        echo "1" >/proc/sys/net/ipv6/conf/${1}/autoconf


redneonglow 05-16-2021 06:28 PM

Quote:

Originally Posted by marav (Post 6251348)
Line 316
Code:

# Disable v6 IP auto configuration before trying to bring up the interface:
        debug_log "${1}: disabling IPv6 autoconf"
        echo "0" >/proc/sys/net/ipv6/conf/${1}/autoconf

And line 357:
Code:

# Enable auto configuration of interfaces:
        echo "1" >/proc/sys/net/ipv6/conf/${1}/autoconf


For some reason I had to enable it manually after rc.inet1 was restarted.

M0M0 05-16-2021 07:39 PM

/usr/bin/xmlto is not a POSIX compliant shell script
I think line 1

#!/bin/sh

should be changed to

#!/bin/bash

marav 05-17-2021 09:18 AM

NetworkManager 1.30.x contains many improvements especially for the wifi

https://gitlab.freedesktop.org/Netwo...blob/main/NEWS

Compiled and works fine here
Code:

15step:: ~ " NetworkManager -V
1.30.4


richarson 05-17-2021 11:45 AM

Quote:

Originally Posted by marav (Post 6251455)
NetworkManager 1.30.x contains many improvements especially for the wifi

https://gitlab.freedesktop.org/Netwo...blob/main/NEWS

Compiled and works fine here
Code:

15step:: ~ " NetworkManager -V
1.30.4


Just in case, this probably has to be taken into account if upgrading:

Quote:

* The dhcpcd plugin now requires a minimum version of dhcpcd-9.3.3 with
the --noconfigure option. Using an older version will cause dhcpcd to
exit with a status code of 1.
Slackware-current ships dhcpcd-8.1.9, I don't know if NM uses it or something else.

In my case, it aparently does:

Code:

1369 ?        Ssl    0:01 /usr/sbin/NetworkManager
 3444 ?        S      0:00  \_ dhcpcd: wlan0 [ip4]


marav 05-17-2021 12:05 PM

Quote:

Originally Posted by richarson (Post 6251491)
Just in case, this probably has to be taken into account if upgrading:



Slackware-current ships dhcpcd-8.1.9, I don't know if NM uses it or something else.

In my case, it aparently does:

Code:

1369 ?        Ssl    0:01 /usr/sbin/NetworkManager
 3444 ?        S      0:00  \_ dhcpcd: wlan0 [ip4]


You're right, I forgot to mention it
+ dhcpcd
https://roy.marples.name/downloads/d...d-9.4.0.tar.xz

bassmadrigal 05-17-2021 01:25 PM

Quote:

Originally Posted by richarson (Post 6251491)
Slackware-current ships dhcpcd-8.1.9, I don't know if NM uses it or something else.

In my case, it aparently does:

Code:

1369 ?        Ssl    0:01 /usr/sbin/NetworkManager
 3444 ?        S      0:00  \_ dhcpcd: wlan0 [ip4]


It does use dhcpcd by default, but if it isn't a compile time dependency, you can switch it to dhclient via /etc/NetworkManager/conf.d/00-dhcp-client.conf by commenting out the dhcpcd line and uncommenting the dhclient line. I don't know if it requires a restart of Network Manager to take effect.

gmgf 05-17-2021 01:48 PM

Quote:

Originally Posted by marav (Post 6251455)
NetworkManager 1.30.x contains many improvements especially for the wifi

https://gitlab.freedesktop.org/Netwo...blob/main/NEWS

Compiled and works fine here
Code:

15step:: ~ " NetworkManager -V
1.30.4


this demand has already posted here :)

TurboBlaze 05-19-2021 12:23 AM

Arch Linux added GCC 11.1.0 to his Core tree
https://archlinux.org/packages/core/x86_64/gcc/
How about Slackware?

Thanks.

Nobby6 05-19-2021 02:26 AM

Quote:

Originally Posted by TurboBlaze (Post 6251908)
Arch Linux added GCC 11.1.0 to his Core tree

How about Slackware?

Thanks.

you already posted this, a couple of days ago

saxa 05-19-2021 06:04 AM

pango-1.48.5
https://download.gnome.org/sources/p...-1.48.5.tar.xz

jkh2cpu 05-19-2021 09:18 AM

OpenEXR-3.0 would be nice. Darktable now requires this.

John.

atelszewski 05-19-2021 12:49 PM

Hi,

how about switching CUPS upstream URL to https://github.com/OpenPrinting/cups/ ?

According to https://www.phoronix.com/scan.php?pa...e-No-More-CUPS that would be a new home for the stuff.

(There is also a security update available, i.e. v2.3.3op2.)

--
Best regards,
Andrzej Telszewski

gmgf 05-19-2021 01:05 PM

Quote:

Originally Posted by atelszewski (Post 6252079)
Hi,

how about switching CUPS upstream URL to https://github.com/OpenPrinting/cups/ ?

According to https://www.phoronix.com/scan.php?pa...e-No-More-CUPS that would be a new home for the stuff.

(There is also a security update available, i.e. v2.3.3op2.)

--
Best regards,
Andrzej Telszewski


I have already posted this demand, without success ;)

this new cups version, work here without problem, since tree months.

atelszewski 05-19-2021 02:24 PM

Hi,

now there's two of us, in group the power! :-D

--
Best regards,
Andrzej Telszewski

USUARIONUEVO 05-19-2021 03:51 PM

mesa-21.1.1 released

sources --> https://github.com/mesa3d/mesa/releases/tag/mesa-21.1.1

mumahendras3 05-19-2021 06:30 PM

Pipewire 0.3.28 released: https://gitlab.freedesktop.org/pipew...eleases/0.3.28

marav 05-20-2021 03:21 AM

Quote:

Originally Posted by mumahendras3 (Post 6252165)

Code:

Package:    pipewire-0.3.28-x86_64-1
Repository: slackware64
Path:      ./slackware64/l/pipewire-0.3.28-x86_64-1.txz
Url:        http://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/l/pipewire-0.3.28-x86_64-1.txz


Nobby6 05-20-2021 03:38 AM

Bind 9.16.16 released

https://downloads.isc.org/isc/bind9/...d-9.16.16.html

saxa 05-20-2021 07:59 AM

libsigc++-2.10.7
https://download.gnome.org/sources/l...-2.10.7.tar.xz

libsigc++-3.0.7
https://download.gnome.org/sources/l...+-3.0.7.tar.xz

saxa 05-20-2021 05:17 PM

glibmm-2.68.1
https://download.gnome.org/sources/g...-2.68.1.tar.xz

chrisretusn 05-21-2021 03:52 AM

Quote:

WARNING: certificate /etc/ssl/certs/cacert-class3.crt
is about to expire in time equal to or less than 7 days from now on,
or has already expired - it might be a good idea to obtain/create new one.

NOTE: This message is being sent only once.

A lock-file
/var/run/certwatch-mailwarning-sent-cacert-class3.crt
has been created, which will prevent this script from mailing you again
upon its subsequent executions by crond. You dont need to care about it;
the file will be auto-deleted as soon as you'll prolong your certificate.
With /var/run/ now being a tmpfs it is not persistent across boots, so this email will be triggered again if the system has been rebooted. Perhaps /var/lock, /var/lib or /var/tmp would be a better place.

saxa 05-21-2021 06:16 AM

atkmm-2.28.2
https://download.gnome.org/sources/a...-2.28.2.tar.xz

Ser Olmy 05-21-2021 06:47 AM

Quote:

Originally Posted by chrisretusn (Post 6252548)
With /var/run/ now being a tmpfs it is not persistent across boots, so this email will be triggered again if the system has been rebooted. Perhaps /var/lock, /var/lib or /var/tmp would be a better place.

Or /var/state.

saxa 05-21-2021 07:06 AM

pangomm-2.48.1
https://download.gnome.org/sources/p...-2.48.1.tar.xz

saxa 05-21-2021 02:33 PM

libepoxy-1.5.8
https://download.gnome.org/sources/l...y-1.5.8.tar.xz

gtkmm-3.24.5
https://download.gnome.org/sources/g...-3.24.5.tar.xz

Many thanks !

ecd102 05-22-2021 03:44 PM

After updating to Fri May 21 19:33:21 UTC 2021 version, logrotate reports followings:

httpd:5 keyword 'size' not properly separated, found 0x3d
mcelog:6 keyword 'size' not properly separated, found 0x3d

This is because /etc/logrotate.d/httpd and /etc/logrotate.d/mcelog have malformed size line.

httpd:
size=5M

mcelog:
size=+2048k

Those should be "size 5M" and "size 2048k".

And please rebuild imagemagick against perl-5.34.
Its "Image::Magick" perl module needs rebuild.

marav 05-22-2021 04:16 PM

A matter of days for httpd-2.4.48 to be official

https://svn.apache.org/viewvc?view=r...vision=1889976

TurboBlaze 05-23-2021 01:06 AM

In the testing/packages/linux-5.12.x/ - kernel 5.12.x build with KCSAN: dynamic data race detector
Code:

CONFIG_KCSAN=y
?
Quote:

KCSAN is supported by both GCC and Clang. With GCC we require version 11 or later, and with Clang also require version 11 or later.
https://www.kernel.org/doc/html/late...ols/kcsan.html

marav 05-23-2021 03:42 AM

Quote:

Originally Posted by TurboBlaze (Post 6253114)
In the testing/packages/linux-5.12.x/ - kernel 5.12.x build with KCSAN: dynamic data race detector
Code:

CONFIG_KCSAN=y
?

This is probably enabled as a dependency

Petri Kaukasoina 05-23-2021 05:20 AM

Quote:

Originally Posted by TurboBlaze (Post 6253114)
In the testing/packages/linux-5.12.x/ - kernel 5.12.x build with KCSAN: dynamic data race detector
Code:

CONFIG_KCSAN=y
?

Quote:

Originally Posted by marav (Post 6253145)
This is probably enabled as a dependency

What are you talking? CONFIG_KCSAN is not enabled in testing/packages/linux-5.12.x. If you wanted to enable it, you would first need a newer compiler. (It seems to be for kernel hackers.)

marav 05-23-2021 05:26 AM

Quote:

Originally Posted by Petri Kaukasoina (Post 6253161)
What are you talking? CONFIG_KCSAN is not enabled in testing/packages/linux-5.12.x. If you wanted to enable it, you would first need a newer compiler. (It seems to be for kernel hackers.)

I don't have CONFIG_KCSAN
Only :
Code:

CONFIG_HAVE_ARCH_KCSAN=y
Which is enabled by default in my own kernel config

Petri Kaukasoina 05-23-2021 05:38 AM

Quote:

Originally Posted by marav (Post 6253162)
I don't have CONFIG_KCSAN
Only :
Code:

CONFIG_HAVE_ARCH_KCSAN=y
Which is enabled by default in my own kernel config

Yes, those CONFIG_*ARCH* type lines mean that something is supported by the computer architecture. HAVE_ARCH_KCSAN selected by [y]: X86 [=y] && X86_64 [=y]. It means that X86_64 supports KCSAN. But CONFIG_KCSAN is not enabled. And it can't be enabled without a newer compiler:
Code:

Symbol: KCSAN [=n]
Type  : bool 
Defined at lib/Kconfig.kcsan:23 
  Prompt: KCSAN: dynamic data race detector
  Depends on: HAVE_ARCH_KCSAN [=y] && HAVE_KCSAN_COMPILER [=n] && DEBUG
  Location:
    -> Kernel hacking                                               
(1)  -> Generic Kernel Debugging Instruments 
Selects: STACKTRACE [=y]


teoberi 05-23-2021 05:44 AM

If we stick to Perl-5.34.0 (latest stable) we will have to recompile all the packages that depend on Perl again.:)

chrisretusn 05-23-2021 08:11 AM

Quote:

Originally Posted by teoberi (Post 6253168)
If we stick to Perl-5.34.0 (latest stable) we will have to recompile all the packages that depend on Perl again.:)

Doing that now. Almost done. Sure as heck don't want to go back. ;)

teoberi 05-23-2021 08:19 AM

Quote:

Originally Posted by chrisretusn (Post 6253193)
Doing that now. Almost done. Sure as heck don't want to go back. ;)

That's why I asked!
I have already finished on the test server follows the production server.


All times are GMT -5. The time now is 10:08 AM.